Subject: Re: bug#16573: 24.3; Auctex (11.87.2) in Elpa issues hundreds of warnings on compile

From: Tassilo Horn <[email-masked]>
Date: Fri, 31 Jan 2014 09:05:16 +0100

Stefan Monnier <[email-masked]> writes:

>> And with the ELPA builds, I think it's the same thing.
>
> IIRC there are different cases.
>
> When installing an ELPA package, indeed all the .el files are compiled
> within the running Emacs.  There aren't many guarantees of ordering
> tho, so it could potentially happen that the style files get compiled
> before loading tex.el.

Ok, I see.

> When installing the whole GNU ELPA branch via "git clone .../elpa;
> make", then each file is compiled individually in a separate Emacs
> process.  But IIRC only the files in the top-level directory of each
> package are byte-compiled in that case, so the style files won't be
> byte-compiled at all.

That's ok.  But if the style files were compiled, adding the requires
into the style files would make the compilation take minutes, because
each style file compilation would need to load the core files first.

Bye,
Tassilo